Subject: bug#41145: 27.0.91; small issues with `display-fill-column-indicator' Customization group

From: Philipp Stephani <[email-masked]>
Date: Sat, 9 May 2020 14:31:35 +0200

Am Sa., 9. Mai 2020 um 11:37 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Sat, 09 May 2020 10:30:13 +0200
> >
> > The two issues here are:
> >
> > 1. "Group definition missing."  It looks like customizing this group
> >    should load `display-fill-column-indicator-mode', which defines this
> >    group, or the group definition should be in cus-start.el.
> The same seems to work for display-line-numbers, and I don't think I
> see the crucial difference.

My guess is that something is wrong with cus-dep.el, because the f-c-i
group doesn't appear in cus-load.el.

>
> > 2. "(mismatch)."  The default value for
> >    `display-fill-column-indicator-character' is nil, but its type is
> >    `character', so nil isn't allowed.
>
> I fixed this, thanks.

Thanks